VTK: vtkOBJImportedMaterial Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkOBJImportedMaterial Struct Reference

`#include <vtkOBJImporterInternals.h>`

## Public Member Functions
const char * | GetClassName ()
| vtkOBJImportedMaterial ()

## Public Attributes
std::string | name
std::string | texture_filename
double | amb [3]
double | diff [3]
double | spec [3]
double | map_Kd_scale [3]
double | map_Kd_offset [3]
int | illum
double | reflect
double | refract
double | trans
double | specularPower
double | glossy
double | refract_index

## Detailed Description

Definition at line 15 of file vtkOBJImporterInternals.h.

## Constructor & Destructor Documentation

## ◆ vtkOBJImportedMaterial()

vtkOBJImportedMaterial::vtkOBJImportedMaterial | ( |  | ) |

## Member Function Documentation

## ◆ GetClassName()

const char* vtkOBJImportedMaterial::GetClassName | ( |  | ) |
| inline

Definition at line 31 of file vtkOBJImporterInternals.h.

## Member Data Documentation

## ◆ name

std::string vtkOBJImportedMaterial::name

Definition at line 17 of file vtkOBJImporterInternals.h.

## ◆ texture_filename

std::string vtkOBJImportedMaterial::texture_filename

Definition at line 18 of file vtkOBJImporterInternals.h.

## ◆ amb

double vtkOBJImportedMaterial::amb[3]

Definition at line 19 of file vtkOBJImporterInternals.h.

## ◆ diff

double vtkOBJImportedMaterial::diff[3]

Definition at line 20 of file vtkOBJImporterInternals.h.

## ◆ spec

double vtkOBJImportedMaterial::spec[3]

Definition at line 21 of file vtkOBJImporterInternals.h.

## ◆ map_Kd_scale

double vtkOBJImportedMaterial::map_Kd_scale[3]

Definition at line 22 of file vtkOBJImporterInternals.h.

## ◆ map_Kd_offset

double vtkOBJImportedMaterial::map_Kd_offset[3]

Definition at line 23 of file vtkOBJImporterInternals.h.

## ◆ illum

int vtkOBJImportedMaterial::illum

Definition at line 24 of file vtkOBJImporterInternals.h.

## ◆ reflect

double vtkOBJImportedMaterial::reflect

Definition at line 25 of file vtkOBJImporterInternals.h.

## ◆ refract

double vtkOBJImportedMaterial::refract

Definition at line 26 of file vtkOBJImporterInternals.h.

## ◆ trans

double vtkOBJImportedMaterial::trans

Definition at line 27 of file vtkOBJImporterInternals.h.

## ◆ specularPower

double vtkOBJImportedMaterial::specularPower

Definition at line 28 of file vtkOBJImporterInternals.h.

## ◆ glossy

double vtkOBJImportedMaterial::glossy

Definition at line 29 of file vtkOBJImporterInternals.h.

## ◆ refract_index

double vtkOBJImportedMaterial::refract_index

Definition at line 30 of file vtkOBJImporterInternals.h.

The documentation for this struct was generated from the following file:

- IO/Import/vtkOBJImporterInternals.h